Subject: PMP> RE: Print MIB 09

From: "McDonald, Ira" <[email-masked]>
Date: Wed, 14 Nov 2001 23:02:34 -0500

Hi Bert and Juergen,

Well I was wrong - we publish the MIB internally in Xerox with 'read-only'
for developers, but they're playing games with views so that the object
is functionally 'not-accessible' in the table but 'read-only' in the trap.

I just looked at MIB walks of two Xerox, FujiXerox, and HP products.
My apologies for muddying the waters - we'll leave it as in RFC 1759
with a little note of explanation added, OK?

Cheers,
- Ira McDonald

-----Original Message-----
From: McDonald, Ira 
Sent: Wednesday, November 14, 2001 10:31 PM
To: 'Wijnen, Bert (Bert)'; McDonald, Ira; 'Juergen Schoenwaelder';
[email-masked]
Cc: [email-masked]; [email-masked]; [email-masked];
Casterline, Ray; [email-masked]; [email-masked]; [email-masked]
Subject: RE: Print MIB 09

Hi Bert,

But there's a new compliance group in the Printer MIB v2 for the other 
two new objects added to the General table that are part of the extended
Alert group.  It's perfectly straightforward to add 'prtAlertIndex'
to the 'prtAlertTableV2Group' which is OPTIONAL in the 
'prtMIBCompliance' macro.  Why isn't that acceptable?

Cheers,
- Ira McDonald

-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:[email-masked]]
Sent: Wednesday, November 14, 2001 11:53 AM
To: McDonald, Ira; 'Juergen Schoenwaelder'; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]; Casterline, Ray; [email-masked]; [email-masked];
[email-masked]
Subject: RE: Print MIB 09

If you make it read-only, then you still get compiler warning/errors
that the prtAlertIndex is not contained in any group.
If you were to add it to a group, then that is an incompatible change.

Now... from earlier email from Ron, my understanding was that the
vendors/people would only "fix" the mib file in order for compilers
to work. (by the way, SMICng has a #addOpt 'N' flag that suppresses
the warning/error... Juergen, SMIlint probably has such a thing too?)

It was not clear to me that people had implemented the object read-only.
Are you telling me that you can do a GET prtAlertIndex.1 and that
it will return the value 1??

Bert 

> -----Original Message-----
> From: McDonald, Ira [mailto:[email-masked]]
> Sent: Wednesday, November 14, 2001 5:44 PM
> To: 'Juergen Schoenwaelder'; [email-masked]
> Cc: [email-masked]; [email-masked]; 
> [email-masked];
> [email-masked]; Casterline, Ray; [email-masked]; [email-masked];
> [email-masked]; McDonald, Ira
> Subject: RE: Print MIB 09
> 
> 
> Hi Juergen,
> 
> This is a tough question.  For six years now every Xerox product has
> shipped with 'prtAlertIndex' at 'read-only' to preserve the content
> of the notification.  I have seen this done at several other printer
> vendors.  To date, there is no identified shipping implementation
> that leaves 'prtAlertIndex' at 'not-accessible' (that was only one
> of several compile errors in the RFC 1759 text - I've never seen a
> compiler that would accept RFC 1759 unmodified, but I suppose it's
> possible).
> 
> Our WG concensus to change the published version to 'read-only' is
> in order to align with all known shipping implementations (who all
> did it by hand-edit themselves).
> 
> Cheers,
> - Ira McDonald, consulting architect at Xerox
>   High North
> 
> -----Original Message-----
> From: Juergen Schoenwaelder [mailto:[email-masked]]
> Sent: Wednesday, November 14, 2001 2:23 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; 
> [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Subject: Re: Print MIB 09
> 
> 
> 
> >>>>> Bergman, Ron writes:
> 
> Ron> The WG has already discussed the addition of text to explain why
> Ron> prtAlertIndex is broken.  In fact is is presently being drafted.
> Ron> We are still not sure if this object must be "not-accessible" or
> Ron> can we change to "read-only".  Since with many compilers the MIB
> Ron> must be modified to "read-only", the WG prefers to change the
> Ron> MAX-ACCESS clause.  The addition of a new group and conformance
> Ron> statements, in this case, is agreed.
> 
> There are existing fielded implementations that implement
> prtAlertIndex not-accessible. So what is the point in making it
> read-only just to kind of fix the notification? If it is true that
> people had problems to implement the notification because
> prtAlertIndex is not-accessible, then this would be a data point to
> actually fix the notification by providing a new one that does it
> right.
> 
> Changing prtAlertIndex from not-accessible to read-only to fix the
> notification kind is IMHO heading in the wrong direction.
> 
> /js
> 
> -- 
> Juergen Schoenwaelder      Technical University Braunschweig
> <[email-masked]>  Dept. Operating Systems & Computer Networks
> Phone: +49 531 391 3289    Muehlenpfordtstr. 23, 38106 
> Braunschweig, Germany
> Fax:   +49 531 391 5936    <http://www.ibr.cs.tu-bs.de/~schoenw/>
>